| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Genfun::GaudiMathImplementation::GSLSplineDeriv2 Class Reference

`#include <Splines.h>`

Collaboration diagram for Genfun::GaudiMathImplementation::GSLSplineDeriv2:

[legend]

List of all members.

## Detailed Description

Definition at line 417 of file Splines.h.

## Public Types
typedef SplineBase::Data1D | Data1D
typedef SplineBase::Data2D | Data2D
## Public Member Functions
| FUNCTION_OBJECT_DEF (GSLSplineDeriv2)
| mandatory macro from CLHEP/GenericFunctions
| GSLSplineDeriv2 (const Data1D &x, const Data1D &y, const GaudiMath::Interpolation::Type type)
| constructor from vectors and type
| GSLSplineDeriv2 (const Data2D &data, const GaudiMath::Interpolation::Type type)
| constructor from data vector
template<class DATAX, class DATAY>
| GSLSplineDeriv2 (const GaudiMath::Interpolation::Type type, DATAX begin_x, DATAX end_x, DATAY begin_y)
| templated constructor in the spirit of STL-algorithms
template<class DATA>
| GSLSplineDeriv2 (const GaudiMath::Interpolation::Type type, DATA begin, DATA end)
| templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used
| GSLSplineDeriv2 (const SplineBase &)
| constructor from base
| GSLSplineDeriv2 (const GSLSplineDeriv2 &)
| copy constructor
virtual | ~GSLSplineDeriv2 ()
| destructor
virtual double | operator() (double a) const
| main method: evaluate the function
virtual double | operator() (const Argument &x) const
| main method: evaluate the function
virtual unsigned int | dimensionality () const
virtual bool | hasAnalyticDerivative () const
| Does this function have an analytic derivative?
virtual Genfun::Derivative | partial (unsigned int i) const
| Derivatives.
const SplineBase & | spline () const
| acess to the spline function
| operator const SplineBase & () const
| cast operator to the spline function
## Private Member Functions
| GSLSplineDeriv2 ()
| default construtor is desabled ;
GSLSplineDeriv2 & | operator= (const GSLSplineDeriv2 &)
| assignement operator is desabled ;
## Private Attributes
SplineBase | m_spline

## Member Typedef Documentation

typedef SplineBase::Data1D Genfun::GaudiMathImplementation::GSLSplineDeriv2::Data1D

Definition at line 420 of file Splines.h.

typedef SplineBase::Data2D Genfun::GaudiMathImplementation::GSLSplineDeriv2::Data2D

Definition at line 421 of file Splines.h.

## Constructor & Destructor Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const Data1D & | x,
|  | const Data1D & | y,
|  | const GaudiMath::Interpolation::Type | type |
| ) |  |  |

constructor from vectors and type

       Data1D x = .. ;
       Data1D y = .. ;

       const AbsFunction& func =
            GSLSplineDeriv2( x , y , GaudiMath::Interpolation::Cspline ) ;

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | x | vector of x
  | y | vector of y
  | type | interpolation type

       Data1D x = .. ;
       Data1D y = .. ;

       const AbsFunction& func =
            GSLSplineDeriv( x , y , GaudiMath::Interpolation::Cspline ) ;

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | x | vector of x
  | y | vector of y
  | type | interpolation type

Definition at line 427 of file Splines.cpp.

    00430       : AbsFunction ()
    00431       , m_spline ( x , y , type )
    00432     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const Data2D & | data,
|  | const GaudiMath::Interpolation::Type | type |
| ) |  |  |

constructor from data vector

       Data2D data = ... ;

       const AbsFunction& func =
            GSLSplineDeriv2( data , GaudiMath::Interpolation::Cspline );

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | data | vector of (x,y) pairs
  | type | interpolation type

Definition at line 456 of file Splines.cpp.

    00458       : AbsFunction ()
    00459       , m_spline    ( data , type )
    00460     {}

template<class DATAX, class DATAY>

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GaudiMath::Interpolation::Type | type,
|  | DATAX | begin_x,
|  | DATAX | end_x,
|  | DATAY | begin_y |
| ) |  |  | `[inline]`

templated constructor in the spirit of STL-algorithms

It is assumed that vector "y" has tehlength AT LEAST as long as "x"

       SEQURNCE1 x = .. ;
       SEQUENCE2 y = .. ;

       const AbsFunction& func =
            GSLSpline( GaudiMath::Interpoaltion::Cspline ,
                       x.begin ()  ,
                       x.end   ()  ,
                       y.begin ()  );

       const double value = 1 ;
       const double result = func( value ) ;

Parameters:

  | begin_x | begin of X-sequence
  | end_x | end of X-sequence
  | begin_Y | begin of Y-sequence
  | type | interpolation type

Definition at line 499 of file Splines.h.

    00503         : AbsFunction ( )
    00504         , m_spline( type , begin_x , end_x , begin_y )
    00505       {};

template<class DATA>

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GaudiMath::Interpolation::Type | type,
|  | DATA | begin,
|  | DATA | end |
| ) |  |  | `[inline]`

templated constructor from the sequence of pairs as sequence of pairs the class TabulatedProperty can be used

Parameters:

  | begin | begin of sequence of pairs
  | end | end of sequence of pairs
  | type | interpolation type

Definition at line 519 of file Splines.h.

    00522         : AbsFunction ( )
    00523         , m_spline( type , begin , end )
    00524       {};

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const SplineBase & | right | ) |

constructor from base

constructor from SplineBase

Definition at line 467 of file Splines.cpp.

    00468       : AbsFunction ()
    00469       , m_spline    ( right )
    00470     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( | const GSLSplineDeriv2 & | right | ) |

copy constructor

Definition at line 477 of file Splines.cpp.

    00478       : AbsFunction ()
    00479       , m_spline    ( right  )
    00480     {}

Genfun::GaudiMathImplementation::GSLSplineDeriv2::~GSLSplineDeriv2 | ( |  | ) | `[virtual]`

destructor

Definition at line 486 of file Splines.cpp.

    00486 {}

Genfun::GaudiMathImplementation::GSLSplineDeriv2::GSLSplineDeriv2 | ( |  | ) | `[private]`

default construtor is desabled ;

## Member Function Documentation

Genfun::GaudiMathImplementation::GSLSplineDeriv2::FUNCTION_OBJECT_DEF | ( | GSLSplineDeriv2 |  | ) |

mandatory macro from CLHEP/GenericFunctions

double Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator() | ( | double | a | ) | const`[virtual]`

main method: evaluate the function

Definition at line 490 of file Splines.cpp.

    00491     { return m_spline.deriv2 ( x    ) ; }

double Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator() | ( | const Argument & | x | ) | const`[virtual]`

main method: evaluate the function

Definition at line 493 of file Splines.cpp.

    00494     { return m_spline.deriv2 ( x[0] ) ; }

virtual unsigned int Genfun::GaudiMathImplementation::GSLSplineDeriv2::dimensionality | ( |  | ) | const`[inline, virtual]`

Definition at line 536 of file Splines.h.

    00536 { return 1   ; }

virtual bool Genfun::GaudiMathImplementation::GSLSplineDeriv2::hasAnalyticDerivative | ( |  | ) | const`[inline, virtual]`

Does this function have an analytic derivative?

Definition at line 538 of file Splines.h.

    00538 { return true ; }

Genfun::Derivative Genfun::GaudiMathImplementation::GSLSplineDeriv2::partial | ( | unsigned int | i | ) | const`[virtual]`

Derivatives.

Definition at line 500 of file Splines.cpp.

    00501     {
    00502       if ( i >= 1 )
    00503       {
    00504         const AbsFunction& aux = GaudiMath::Constant( 0.0 , 1 ) ;
    00505         return Genfun::FunctionNoop( &aux ) ;
    00506       }
    00507       const AbsFunction& aux = GaudiMath::Derivative( *this , i ) ;
    00508       return Genfun::FunctionNoop( &aux ) ;
    00509     };

const SplineBase& Genfun::GaudiMathImplementation::GSLSplineDeriv2::spline | ( |  | ) | const`[inline]`

acess to the spline function

Definition at line 543 of file Splines.h.

    00543 { return m_spline ; }

Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator const SplineBase & | ( |  | ) | const`[inline]`

cast operator to the spline function

Definition at line 545 of file Splines.h.

    00545 { return spline() ; }

GSLSplineDeriv2& Genfun::GaudiMathImplementation::GSLSplineDeriv2::operator= | ( | const GSLSplineDeriv2 & |  | ) | `[private]`

assignement operator is desabled ;

## Member Data Documentation

SplineBase Genfun::GaudiMathImplementation::GSLSplineDeriv2::m_spline`[private]`

Definition at line 553 of file Splines.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/GaudiMath/Splines.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/src/Lib/Splines.cpp